using System;

namespace finale
{
    class Program
    {
        static void Main(string[] args)
        {
            string[] s = Console.ReadLine().Split();
            long n = long.Parse(s[0]);
            long m = long.Parse(s[1]);

            if(n == 1)
            {
                Console.WriteLine(m);
            }
            else if (m == 1)
            {
                Console.WriteLine(n);
            }
            else
            {
                Console.WriteLine(2 * m + 2 * (n - 2) + (n * m - (2 * m + 2 * (n - 2))) / 2);
            }

        }
    }
}